- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUFunctor0< Class, ReturnType > Class Template Reference
[Utility Classes.]

A functor with no arguments. More...

`#include <FUFunctor.h>`

Inheritance diagram for FUFunctor0< Class, ReturnType >:

List of all members.

## Public Member Functions
| FUFunctor0 (Class *object, ReturnType(Class::*function)())
| Constructor.
virtual | ~FUFunctor0 ()
| Destructor.
virtual ReturnType | operator() () const
| Calls the functor.
virtual bool | Compare (void *object, void *function) const
| Checks whether this functor points towards the given member function.
virtual IFunctor0< ReturnType > * | Copy () const
| Returns a copy of this functor.

## Detailed Description

### template<class Class, class ReturnType>
class FUFunctor0< Class, ReturnType >

A functor with no arguments.

## Constructor & Destructor Documentation

template<class Class, class ReturnType>
FUFunctor0< Class, ReturnType >::FUFunctor0 | ( | Class * | object,
|  | ReturnType(Class::*)() | function
| ) | `[inline]`

  | Constructor. Parameters:
  | object | An object.
  | function | A member function of this object.

## Member Function Documentation

template<class Class, class ReturnType>
virtual bool FUFunctor0< Class, ReturnType >::Compare | ( | void * | object,
|  | void * | function
| ) | const`[inline, virtual]`

  | Checks whether this functor points towards the given member function. Parameters:
  | object | The object which holds the member function.
  | function | The member function.
Returns: Whether this functor points towards the given member function. Implements IFunctor0< ReturnType >.

template<class Class, class ReturnType>
virtual ReturnType FUFunctor0< Class, ReturnType >::operator() | ( |  | ) | const`[inline, virtual]`

| Calls the functor. Returns: Implementation-dependant. Implements IFunctor0< ReturnType >.

The documentation for this class was generated from the following file:

- FUtils/FUFunctor.h